import request from '@/utils/request'

// 查询洗眼器检查记录列表
export function listRecord(query) {
  return request({
    url: '/safety/record/list',
    method: 'get',
    params: query
  })
}

// 查询洗眼器检查记录详细
export function getRecord(id) {
  return request({
    url: '/safety/record/' + id,
    method: 'get'
  })
}

// 新增洗眼器检查记录
export function addRecord(data) {
  return request({
    url: '/safety/record',
    method: 'post',
    data: data
  })
}

// 修改洗眼器检查记录
export function updateRecord(data) {
  return request({
    url: '/safety/record',
    method: 'put',
    data: data
  })
}

// 删除洗眼器检查记录
export function delRecord(id) {
  return request({
    url: '/safety/record/' + id,
    method: 'delete'
  })
}

// 导出
export function exportRecord(query) {
  return request({
    url: 'safety/record/export',
    method: 'get',
    params: query
  })
}
